<?php
	class ArtigoDocumentoController extends ArtigoDocumentoModel {
		
		private $idDocumento;
		private $idArtigo;
		private $descricao;
		private $qtd;
		private $preco;
		private $desconto;
		private $idImposto;
		private $imposto;
		private $total;

		public function __construct($idDocumento, $idArtigo, $descricao, $qtd, $preco, $desconto, $idImposto, $imposto, $total){
			$this->idDocumento = $idDocumento;
			$this->idArtigo = $idArtigo;
			$this->descricao = $descricao;
			$this->qtd = $qtd;
			$this->preco = $preco;
			$this->desconto = $desconto;
			$this->idImposto = $idImposto;
			$this->imposto = $imposto;
			$this->total = $total;
		}

		public function createArtigoDocumento(){
			$result = $this->insertArtigoDocumento($this->idDocumento, $this->idArtigo, $this->descricao, $this->qtd, $this->preco, $this->desconto, $this->idImposto, $this->imposto, $this->total);
			return $result;
		}

		public function updateArtigoDocumento($idArtigoDocumento){
			$result = $this->editArtigoDocumento($idArtigoDocumento, $this->idDocumento, $this->idArtigo, $this->descricao, $this->qtd, $this->preco, $this->desconto, $this->idImposto, $this->imposto, $this->total);
			return $result;
		}

	}